Field
Date: 2016-06-24

java.lang.reflect

## Class Field

- java.lang.Object
- - java.lang.reflect.AccessibleObject
  - - java.lang.reflect.Field

- All Implemented Interfaces:
    Member

      public final class Field
      extends AccessibleObject
      implements Member

- - ### Field Summary

    - ### Fields inherited from interface java.lang.reflect.Member

      `DECLARED, PUBLIC`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(Object var0)`
    `boolean` | `getBoolean(Object var0)`
    `byte` | `getByte(Object var0)`
    `char` | `getChar(Object var0)`
    `Class` | `getDeclaringClass()`
    `double` | `getDouble(Object var0)`
    `float` | `getFloat(Object var0)`
    `int` | `getInt(Object var0)`
    `long` | `getLong(Object var0)`
    `int` | `getModifiers()`
    `String` | `getName()`
    `short` | `getShort(Object var0)`
    `Class` | `getType()`
    `void` | `set(Object var0, Object var1)`
    `void` | `setBoolean(Object var0, boolean var1)`
    `void` | `setByte(Object var0, byte var1)`
    `void` | `setChar(Object var0, char var1)`
    `void` | `setDouble(Object var0, double var1)`
    `void` | `setFloat(Object var0, float var1)`
    `void` | `setInt(Object var0, int var1)`
    `void` | `setLong(Object var0, long var1)`
    `void` | `setShort(Object var0, short var1)`

    - ### Methods inherited from class java.lang.reflect.AccessibleObject

      `isAccessible, setAccessible, setAccessible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public Object get(Object var0)
                     throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### getBoolean

          public boolean getBoolean(Object var0)
                             throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### getByte

          public byte getByte(Object var0)
                       throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### getChar

          public char getChar(Object var0)
                       throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### getDeclaringClass

          public Class getDeclaringClass()

      Specified by:
        `getDeclaringClass` in interface `Member`

    - #### getDouble

          public double getDouble(Object var0)
                           throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### getFloat

          public float getFloat(Object var0)
                         throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### getInt

          public int getInt(Object var0)
                     throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### getLong

          public long getLong(Object var0)
                       throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### getModifiers

          public int getModifiers()

      Specified by:
        `getModifiers` in interface `Member`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Member`

    - #### getShort

          public short getShort(Object var0)
                         throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### getType

          public Class getType()

    - #### set

          public void set(Object var0,
                 Object var1)
                   throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### setBoolean

          public void setBoolean(Object var0,
                        boolean var1)
                          throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### setByte

          public void setByte(Object var0,
                     byte var1)
                       throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### setChar

          public void setChar(Object var0,
                     char var1)
                       throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### setDouble

          public void setDouble(Object var0,
                       double var1)
                         throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### setFloat

          public void setFloat(Object var0,
                      float var1)
                        throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### setInt

          public void setInt(Object var0,
                    int var1)
                      throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### setLong

          public void setLong(Object var0,
                     long var1)
                       throws IllegalAccessException

      Throws:
        `IllegalAccessException`

    - #### setShort

          public void setShort(Object var0,
                      short var1)
                        throws IllegalAccessException

      Throws:
        `IllegalAccessException`